
QGIS Application - Bug report #14361

Freezes when the option "Create raster icons" is enabled

2016-02-23 01:15 AM - Ian Lebedev

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:2.12.2 Regression?: No

Operating System: ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 22345

Description

Unacceptable slowdown and friezes when the option "Show icon raster layers in the legend" enable.

It becomes obvious when a large number of open raster layers.

2.12.3 version

History

#1 - 2016-02-23 01:35 AM - Giovanni Manghi

- Affected QGIS version changed from master to 2.12.2

- Status changed from Open to Feedback

- Subject changed from Slowdown and friezes when the option " Show icon bitmap layers in the legend of the" enable. to Freezes when the option 

"Create raster icons" is enabled

"Unacceptable"?

it is documented and it also shows in the GUI (that is slow).

http://docs.qgis.org/2.8/en/docs/user_manual/introduction/qgis_configuration.html?highlight=legend#canvas-and-legend-menu

Is the freeze just a long delay, or you have to kill the program?

#2 - 2016-05-23 09:09 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

closing for lack of feedback, please reopen if necessary.
